System Requirements

The Medify UKCAT software requires a laptop or desktop computer running an up-to-date modern web browser. These include Chrome 51+, Firefox 47+, Safari 9.0+, or Microsoft Edge 13+ (not Internet Explorer).

If you’re not sure what this means, we suggest downloading Chrome or Firefox at least for using the Medify website. See What Browser for more information.

Some parts of the system such as tutorials may be accessible on smartphones and tablet devices, but the question bank and mock exams will not.

Back to homepage

UKCAT Online Course BMAT Online Course
(currently unavailable)
PS Online Course Choices Calculator
(currently unavailable)